"""
number lookups
"""

months = {
    1: "Ionawr",
    2: "Chwefror",
    3: "Mawrth",
    4: "Ebrill",
    5: "Mai",
    6: "Mehefin",
    7: "Gorffennaf",
    8: "Awst",
    9: "Medi",
    10: "Hydref",
    11: "Tachwedd",
    12: "Rhagfyr",
}

days = {
    1: "cyntaf",
    2: "ail",
    3: "trydydd",
    4: "pedwerydd",
    5: "pumed",
    6: "chweched",
    7: "seithfed",
    8: "wythfed",
    9: "nawfed",
    10: "degfed",
    11: "unfed ar ddeg",
    12: "deuddegfed",
    13: "trydydd ar ddeg",
    14: "pedwerydd ar ddeg",
    15: "pymthegfed",
    16: "unfed ar bymtheg",
    17: "ail ar bymtheg",
    18: "deunawfed",
    19: "pedwerydd ar bymtheg",
    20: "ugeinfed",
    21: "dau ddeg un",
    22: "ail ar hugain",
    23: "trydydd ar hugain",
    24: "pedwerydd ar hugain",
    25: "pumed ar hugain",
    26: "chweched ar hugain",
    27: "seithfed ar hugain",
    28: "wythfed ar hugain",
    29: "nawfed ar hugain",
    30: "degfed ar hugain",
    31: "tri deg un",
}

mut_numbers = {
    1: "un",
    2: "ddau",
    3: "dri",
    4: "bedwar",
    5: "bump",
    6: "chwech",
    7: "saith",
    8: "wyth",
    9: "naw",
    10: "deg",
    11: "un ar ddeg",
    12: "ddeuddeg",
}

numbers = {
    0: "",
    1: "un",
    2: "dau",
    3: "tri",
    4: "pedwar",
    5: "pump",
    6: "cwhwech",
    7: "saith",
    8: "wyth",
    9: "naw",
    10: "deg",
    11: "un ar ddeg",
    12: "deuddeg",
    13: "tair ar ddeg",
    14: "pedwar ar ddeg",
    15: "chwarter",
    16: "un ar bymtheg",
    17: "dau ar bymtheg",
    18: "deunaw",
    19: "pedwar ar bymtheg",
    20: "ugain",
    21: "un ar hugain",
    22: "dau ar hugain",
    23: "tri ar hugain",
    24: "pedwar ar hugain",
    25: "pump ar hugain",
    26: "chwech ar hugain",
    27: "saith ar hugain",
    28: "wyth ar hugain",
    29: "naw ar hugain",
    30: "hanner",
}

number_dict = {
    "+": {"lemma": "plws"},
    "/": {"lemma": "rhannu gyda"},
    "*": {"lemma": "lluosi"},
    "-": {"lemma": "minws"},
    ".": {"lemma": "pwynt"},
    "£": {"lemma": "punt"},
    "c": {"lemma": "ceiniog"},
    "0": {"lemma": "dim"},
    "1": {"lemma": "un"},
    "2": {"lemma": "dau", "lemma_fem": "dwy"},
    "3": {"lemma": "tri", "lemma_fem": "tair", "aspirate": "thri", "aspirate_fem": "thair"},
    "4": {
        "lemma": "pedwar",
        "lemma_fem": "pedair",
        "aspirate": "phedwar",
        "aspirate_fem": "phedair",
    },
    "5": {"lemma": "pump", "lemma_fem": "pum", "aspirate": "phump", "aspirate_fem": "phum"},
    "6": {"lemma": "chwech", "lemma_fem": "chwe"},
    "7": {"lemma": "saith"},
    "8": {"lemma": "wyth"},
    "9": {"lemma": "naw"},
    "10": {"lemma": "deg", "soft": "ddeg"},
    "12": {"lemma": "deuddeg"},
    "20": {"lemma": "ugain"},
    "100": {
        "lemma": "cant",
        "lemma_fem": "can",
        "soft": "gant",
        "soft_lemma_fem": "gan",
        "aspirate": "chant",
        "aspirate_fem": "chan",
    },
    "1000": {"lemma": "mil", "soft": "fil"},
    "1000000": {"lemma": "miliwn", "soft": "filiwn"},
    "a": {"lemma": "a", "c": "ac", "g": "ag"},
    "m": {"lemma": "miliwn", "soft": "filiwn"},
    "b": {"lemma": "biliwn"},
}

mutations = [
    ["dau cant", "dau gant"],
    ["dau deg", "dau ddeg"],
    ["dau pedwar", "dau bedwar"],
    ["dau mil", "dwy fil"],
    ["tri cant", "tri chant"],
    ["chwech deg", "chwe deg"],
    ["chwech cant", "chwe chant"],
    ["chwech mil", "chwe mil"],
    ["pump deg", "pum deg"],
    ["pump cant", "pum cant"],
    ["pump mil", "pum mil"],
    ["mil a cant", "mil a chant"],
    ["cant pedwar", "can pedwar"],
    ["gant punt", "can punt"],
    ["pum cant a pedwar", "pum cant a phedwar"],
    ["tri chant a tri", "tri chant a thri"],
    ["chwe chant a pump", "chwe chant a phump"],
    ["o Mawrth", "o Fawrth"],
    ["o Medi", "o Fedi"],
    ["o Mai", "o Fai"],
    ["o Mehefin", "o Fehefin"],
    ["o Gorffennaf", "o Orffennaf"],
    ["o Tachwedd", "o Dachwedd"],
    ["o Rhagfyr", "o Ragfyr"],
]

fem_mu = [
    ["dau", "dwy"],
    ["tri", "tair"],
    ["pedwar", "pedair"],
    ["pump", "pum"],
    ["chwech", "chwe"],
    ["cant", "can"],
]
